Bug 24982 - init process broken for laptops
init process broken for laptops
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-25 17:50 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-25 17:50:45 EST
PCMCIA services start too late on laptops.  This breaks a number of
networking services, including ypbind (which is what my specific complaint
is about) and others.

I've seen the other bug reports which you guys marked as not a bug or won't
fix, but that's just preposterous.  Surely with the number of complaints
you've received about this, you must realize that this is a real bug that
requires real attention.

In the case where you are pointing ypbind at a specific server (i.e.
because that's all you have and it's not on the same subnet), ypbind fails
to bind.  Period.

After the system is finished booting, you can restart ypbind manually, and
things will begin to work properly, but this is clearly not an acceptable
solution, as it requires manual intervention from a user, and because it
lengthens the boot process exponentially as yp lookups fail.

From a purely philisophical standpoint, does it make sense to ANYONE that
you start a bunch of network services while you KNOW that the network cards
aren't all configured?  It doesn't make any sense to me.
Comment 1 Bill Nottingham 2001-01-25 18:03:06 EST
Assigning to kernel (that's where the pcmcia-cs package is.)
Comment 2 Bugzilla owner 2004-09-30 11:38:54 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.